﻿--RazerGamingKeypad, a World of Warcraft® user interface addon.

local R = RazerGamingKeypad

local L = LibStub("AceLocale-3.0"):GetLocale("RazerGamingKeypad")

R.Defaults = {

	bars = {

		[1] = {

			gdata = {
				name = L.MAINPAD,
				pad = 6,
				scale = 1,
				yom = 0,
			},

			cdata = { bindText = false }
		},

		[2] = {

			gdata = {
				name = L.DPAD,
				pad = -18,
				scale = 1,
				yom = 0,
			},

			cdata = { bindText = false }
		},
	},

	buttons = {

		[101] = {
			keys = { hotKeys = ":F6:", hotKeyText = ":F6:" },
			data = {},
			sdata = { vehicle = "1" }
		},

		[102] = {
			keys = { hotKeys = ":F7:", hotKeyText = ":F7:" },
			data = {},
			sdata = { vehicle = "2" }
		},

		[103] = {
			keys = { hotKeys = ":F8:", hotKeyText = ":F8:" },
			data = {},
			sdata = { vehicle = "3" }
		},

		[104] = {
			keys = { hotKeys = ":F9:", hotKeyText = ":F9:" },
			data = {},
			sdata = { vehicle = "4" }
		},

		[105] = {
			keys = { hotKeys = ":F10:", hotKeyText = ":F10:" },
			data = {},
			sdata = { vehicle = "5" }
		},

		[106] = {
			keys = { hotKeys = ":F11:", hotKeyText = ":F11:" },
			data = {},
			sdata = { vehicle = "6" }
		},

		[107] = {
			keys = { hotKeys = ":Q:", hotKeyText = ":Q:" },
			data = {},
			sdata = { move = "5" }
		},

		[108] = {
			keys = { hotKeys = ":W:", hotKeyText = ":W:" },
			data = {},
			sdata = { move = "1" }
		},

		[109] = {
			keys = { hotKeys = ":E:", hotKeyText = ":E:" },
			data = {},
			sdata = { move = "6" }
		},

		[110] = {
			keys = { hotKeys = ":NUMPADMULTIPLY:", hotKeyText = ":n*:" },
			data = {},
			sdata = { vehicle = "exit" }
		},

		[111] = {
			keys = { hotKeys = ":DELETE:", hotKeyText = ":Del:" },
			data = {},
			sdata = { vehicle2 = "6" }
		},

		[112] = {
			keys = { hotKeys = ":A:", hotKeyText = ":A:" },
			data = {},
			sdata = { move = "3" }
		},

		[113] = {
			keys = { hotKeys = ":S:", hotKeyText = ":S:" },
			data = {},
			sdata = { move = "2" }
		},

		[114] = {
			keys = { hotKeys = ":D:", hotKeyText = ":D:" },
			data = {},
			sdata = { move = "4" }
		},

		[115] = {
			keys = { hotKeys = ":F:", hotKeyText = ":F:" },
			data = {},
			sdata = { vehicle2 = "exit" }
		},

		[116] = {
			keys = { hotKeys = ":NUMPADDECIMAL:", hotKeyText = ":n.:" },
			data = {},
			sdata = { vehicle2 = "1" }
		},

		[117] = {
			keys = { hotKeys = ":.:", hotKeyText = ":.:" },
			data = {},
			sdata = { vehicle2 = "2" }
		},

		[118] = {
			keys = { hotKeys = ":':", hotKeyText = ":':" },
			data = {},
			sdata = { vehicle2 = "3" }
		},

		[119] = {
			keys = { hotKeys = ":;:", hotKeyText = ":;:" },
			data = {},
			sdata = { vehicle2 = "4" }
		},

		[120] = {
			keys = { hotKeys = ":,:", hotKeyText = ":,:" },
			data = {},
			sdata = { vehicle2 = "5" }
		},

		[201] = {
			keys = { hotKeys = ":]:", hotKeyText = ":]:" },
			data = {},
			sdata = { keymap = "2" }
		},

		[202] = {
			keys = { hotKeys = ":_:", hotKeyText = ":_:" },
			data = {},
			sdata = {}
		},

		[203] = {
			keys = { hotKeys = ":PAGEDOWN:", hotKeyText = ":PgDn:" },
			data = {},
			sdata = { keymap = "3" }
		},

		[204] = {
			keys = { hotKeys = ":+:", hotKeyText = ":+:" },
			data = {},
			sdata = {}
		},

		[205] = {
			keys = { hotKeys = ":[", hotKeyText = ":[:" },
			data = {},
			sdata = { keymap = "4" }
		},

		[206] = {
			keys = { hotKeys = ":<:", hotKeyText = ":<:" },
			data = {},
			sdata = {}
		},

		[207] = {
			keys = { hotKeys = ":PAGEUP:", hotKeyText = ":PgUp:" },
			data = {},
			sdata = { keymap = "1" }
		},

		[208] = {
			keys = { hotKeys = ":>:", hotKeyText = ":>:" },
			data = {},
			sdata = {}
		},

		[209] = {
			keys = { hotKeys = ":`:", hotKeyText = ":`:" },
			data = {},
			sdata = {}
		},

		[210] = {
			keys = { hotKeys = ":~:", hotKeyText = ":~:" },
			data = {},
			sdata = { move = "7" }
		},
	},
}